List images
curl --request GET \
--url https://rawugc.com/api/v1/images \
--header 'Authorization: Bearer <token>'import requests
url = "https://rawugc.com/api/v1/images"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://rawugc.com/api/v1/images', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"images": [
{
"imageId": "<string>",
"model": "<string>",
"prompt": "<string>",
"url": "<string>",
"imageSize": "<string>",
"resolution": "<string>",
"outputFormat": "<string>",
"creditsUsed": 123,
"createdAt": 123,
"completedAt": 123,
"failCode": "<string>",
"failMessage": "<string>"
}
],
"pagination": {
"total": 123,
"page": 123,
"pageSize": 123,
"hasMore": true
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}Image Generation
List images
List your image generation tasks with pagination. Returns tasks in reverse chronological order.
GET
/
images
List images
Authorizations
Use your API key from the RawUGC dashboard. Include as: Authorization: Bearer YOUR_API_KEY
Query Parameters
Filter by generation status
Available options:
pending, processing, completed, failed Page number (1-based)
Number of results per page
Required range:
x <= 100Was this page helpful?
⌘I

